aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Pages: 1 [2]

Author Topic: wxGTK2 2.6.0  (Read 11347 times)

Jacobo221

  • Hero Member
  • *****
  • Karma: 3
  • Offline Offline
  • Posts: 2711
Re: wxGTK2 2.6.0
« Reply #15 on: August 31, 2005, 12:18:49 AM »

algo esta muy muy mal en tu instslacion de wx.... pero que MUY mal :S "buscando wxwxFileProto"??? MUY mal ;) deberia buscar wxFileProto

te recomiendo que deshagas loq ue has hecho y busques RPMs para Fedora, como ya te dije antes ;) seguro que algun hay. pregunta en los foros de Fedora como lo han hecho otros usuarios.
Logged

pinitk

  • Newbie
  • Karma: 0
  • Offline Offline
  • Posts: 4
Re: wxGTK2 2.6.0
« Reply #16 on: August 31, 2005, 12:23:26 AM »

y como deshago lo que hice?, con rpm -e? porque lo he intentado con rpm -e wxGTK y con rpm -e wxBase y me dice que no está instalado.
Logged

sl1pkn07

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 30
Re: wxGTK2 2.6.0
« Reply #17 on: December 03, 2005, 04:10:14 AM »

weinas de nuevo :P

contestando al post anterior: si lo has compilado tu,y quieres borrarlo, debes ir a la carpeta de las sources del wxBase y wxGTK (en teoria se deberia te tenias que haber descargado un zip llamado "wxwidgets") y dentro de ellas hacer un  "make uninstall" (desde consola con SU ).

aquí tienes lo necesario para instalar el aMule 2.0.3 (creo que solo tienes que instalar wxGTK , wxGTK-common, wxGTK-gl, wxGTK-stc, wxGTK-xrc. y si necesitas compilar algo el wxGTK-devel y wxGTK-common-devel. los paquetes wxGTK2 son para GTK2 :P. no se puede instalar los devels de wxGTK y wxGTK2 a la vez. solo te dejará uno de ellos (en el caso de compilar tu el aMule 2.0.3 instalar los de GTK1

http://ftp://fr.rpmfind.net/linux/freshrpms/fedora/linux/testing/4/wxGTK-2.6/

----------------------------------------------------------------------------

Yo tengo una pregunta:

han actualizado los wxGTK de mi distro (FC4) a la version 2.6.2. pero solo hay paquetes para GTK2

http://rpm.pbone.net/index.php3/stat/4/idpl/2447775/com/wxGTK-gl-2.6.2-0.2.fc4.i386.rpm.html
http://rpm.pbone.net/index.php3/stat/4/idpl/2447773/com/wxGTK-devel-2.6.2-0.2.fc4.i386.rpm.html
http://rpm.pbone.net/index.php3/stat/4/idpl/2447771/com/wxGTK-2.6.2-0.2.fc4.i386.rpm.html

he intentado compilar el aMule-cvs en modo GTK2 y no hay manera. al encender cualquier amule (alc, amuleweb, amulecli, etc etc) me da error de segmento.

con el paquete wxGTK 2.6.1 (aMule-cvs compilado en modo GTK2) no tenia ningun problema.

se esta pensando en actualizar el aMule para que solo trabaje en GTK2 y en esta version (2.6.2) y sucesivas??

un saludo
Logged

Jacobo221

  • Hero Member
  • *****
  • Karma: 3
  • Offline Offline
  • Posts: 2711
Re: wxGTK2 2.6.0
« Reply #18 on: December 03, 2005, 04:43:07 PM »

no, amule-cvs actual trabaja con gtk1 y gtk2. lo unico que se ha dejado de soportar es wxgtk2.4.2

reinstala wx y amule (o recompila). prueba tambien a mover ~/.aMule, quizas hay algun archvo dañado y aMule muere por eso :S que espero que no hehe
Logged

sl1pkn07

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 30
Re: wxGTK2 2.6.0
« Reply #19 on: December 04, 2005, 04:21:03 PM »

sip :) era algun archivo de ~/aMule.... pero.....

ahora solo se enciende. cuando pulsas el boton de Trafico se cierra poniendome este mensaje:

Code: [Select]
QPixmap: Invalid pixmap parameters
QPainter::begin: Cannot paint null pixmap
QPainter::setPen: Will be reset by begin()
QPainter::setBrush: Will be reset by begin()

--------------------------------------------------------------------------------
A fatal error has occurred and aMule has crashed.
Please assist us in fixing this problem by posting the backtrace below in our
'aMule Crashes' forum and include as much information as possible regarding the
circumstances of this crash. The forum is located here:
    [URL]http://forum.amule.org/board.php?boardid=67[/URL]
If possible, please try to generate a real backtrace of this crash:
    [URL]http://www.amule.org/wiki/index.php/Backtraces[/URL]

----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
Current version is: aMule CVS using wxGTK2 v2.6.2 (Unicoded) (Snapshot: Thu Dec  1 07:01:59 CET 2005)
Running on: Linux 2.6.14-1.1644_FC4 i686

[2] CamuleApp::OnFatalException() in amule.cpp:1136
[3] wxFatalSignalHandler in /usr/lib/libwx_baseu-2.6.so.0[0x5f1190]
[4] ?? in [0x209420]
[5] XSetLineAttributes in /usr/X11R6/lib/libX11.so.6[0x9f342d]
[6] QPainter::updateBrush() in /usr/lib/qt-3.3/lib/libqt-mt.so.3[0x6071c93]
[7] QPainter::setBrush(QBrush const&) in /usr/lib/qt-3.3/lib/libqt-mt.so.3[0x6125327]
[8] QPainter::fillRect(int, int, int, int, QBrush const&) in /usr/lib/qt-3.3/lib/libqt-mt.so.3[0x6125f3b]
[9] drawTabFrame in /usr/lib/gtk-2.0/2.4.0/engines/libqtengine.so[0x18f89b]
[10] ?? in /usr/lib/gtk-2.0/2.4.0/engines/libqtengine.so [0x1894ab]
[11] gtk_paint_box_gap in /usr/lib/libgtk-x11-2.0.so.0[0x3716845]
[12] ?? in /usr/lib/libgtk-x11-2.0.so.0 [0x36d1b09]
[13] ?? in /usr/lib/libgtk-x11-2.0.so.0 [0x36bb01c]
[14] ?? in /usr/lib/libgobject-2.0.so.0 [0xcfa505]
[15] g_closure_invoke in /usr/lib/libgobject-2.0.so.0[0xcfab38]
[16] ?? in /usr/lib/libgobject-2.0.so.0 [0xd092ff]
[17] g_signal_emit_valist in /usr/lib/libgobject-2.0.so.0[0xd0a523]
[18] g_signal_emit in /usr/lib/libgobject-2.0.so.0[0xd0ab23]
[19] ?? in /usr/lib/libgtk-x11-2.0.so.0 [0x379d19f]
[20] gtk_container_propagate_expose in /usr/lib/libgtk-x11-2.0.so.0[0x3633c16]
[21] ?? in /usr/lib/libgtk-x11-2.0.so.0 [0x3633c6d]
[22] ?? in /usr/lib/libwx_gtk2u_core-2.6.so.0 [0x3a6ca1d]
[23] gtk_container_forall in /usr/lib/libgtk-x11-2.0.so.0[0x363215a]
[24] ?? in /usr/lib/libgtk-x11-2.0.so.0 [0x36339e1]
[25] ?? in /usr/lib/libwx_gtk2u_core-2.6.so.0 [0x3a748a1]
[26] ?? in /usr/lib/libgtk-x11-2.0.so.0 [0x36bb01c]
[27] g_closure_invoke in /usr/lib/libgobject-2.0.so.0[0xcfab38]
[28] ?? in /usr/lib/libgobject-2.0.so.0 [0xd09173]
[29] g_signal_emit_valist in /usr/lib/libgobject-2.0.so.0[0xd0a523]
[30] g_signal_emit in /usr/lib/libgobject-2.0.so.0[0xd0ab23]
[31] ?? in /usr/lib/libgtk-x11-2.0.so.0 [0x379d19f]
[32] gtk_main_do_event in /usr/lib/libgtk-x11-2.0.so.0[0x36b9d62]
[33] ?? in /usr/lib/libgdk-x11-2.0.so.0 [0x38e05ba]
[34] gdk_window_process_all_updates in /usr/lib/libgdk-x11-2.0.so.0[0x38e068d]
[35] ?? in /usr/lib/libgtk-x11-2.0.so.0 [0x3631de5]
[36] ?? in /usr/lib/libglib-2.0.so.0 [0x7f44920]
[37] g_main_context_dispatch in /usr/lib/libglib-2.0.so.0[0x7f426be]
[38] ?? in /usr/lib/libglib-2.0.so.0 [0x7f456c6]
[39] g_main_loop_run in /usr/lib/libglib-2.0.so.0[0x7f459b3]
[40] gtk_main in /usr/lib/libgtk-x11-2.0.so.0[0x36b8e55]
[41] wxEventLoop::Run() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x3a5f3d4]
[42] wxAppBase::MainLoop() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x3aefbca]
[43] wxAppBase::OnRun() in /usr/lib/libwx_gtk2u_core-2.6.so.0[0x3aefcaf]
[44] wxEntry(int&, wchar_t**) in /usr/lib/libwx_baseu-2.6.so.0[0x597834]
[45] wxEntry(int&, char**) in /usr/lib/libwx_baseu-2.6.so.0[0x5978ea]
[46] main in amule-gui.cpp:150
[47] __libc_start_main in /lib/libc.so.6[0x86bd5f]
[48] __gxx_personality_v0 in :0


--------------------------------------------------------------------------------
Abortado
[sl1pkn07@SpinFlo ~]$                                            

pasa en las versiones del 2005-12-3 al 2005-11-18

probare esta tarde la mas estable que tenia (2005-11-13)

saludos
Logged

Kry

  • Ex-developer
  • Retired admin
  • Hero Member
  • *****
  • Karma: -665
  • Offline Offline
  • Posts: 5823
Re: wxGTK2 2.6.0
« Reply #20 on: December 04, 2005, 05:37:43 PM »

Eso es porque usas el gtl-qt-engine para tu GTK, y es un bug en ese engine. Si pones un tema de gtk en vez de una emulacion de qt, no te cascará.
Logged

sl1pkn07

  • Approved Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 30
Re: wxGTK2 2.6.0
« Reply #21 on: December 04, 2005, 06:12:40 PM »

gtl-qt-engine no le tengo, pero si el gtk-qt-engine. es el mismo?

lo he desactivado (en vez de QT (para el theme bahira)) lo ke puesto un theme gtk (becurve-gnome) y ya no casca...

weno. asias de todos modos

saludos
Logged

Jacobo221

  • Hero Member
  • *****
  • Karma: 3
  • Offline Offline
  • Posts: 2711
Re: wxGTK2 2.6.0
« Reply #22 on: December 04, 2005, 09:43:46 PM »

kry se ha equivocado al escribir, queria decir gtk no gtl
Logged
Pages: 1 [2]